This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 648246 - Review Request: ghc-data-default - A class for types with a default value
Review Request: ghc-data-default - A class for types with a default value
Status: CLOSED DUPLICATE of bug 737228
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
notready
:
Depends On:
Blocks: 648247 ghc-tagged
  Show dependency treegraph
 
Reported: 2010-10-31 12:51 EDT by Ben Boeckel
Modified: 2011-10-17 00:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-10 01:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-31 12:51:01 EDT
Spec URL: http://benboeckel.net/packaging/ghc-data-default/ghc-data-default.spec
SRPM URL: http://benboeckel.net/packaging/ghc-data-default/ghc-data-default-0.2-1.fc14.src.rpm
Description:
A class for types with a default value.

% lintmock fedora-14-x86_64-bb
ghc-data-default.src: W: strange-permission ghc-data-default.spec 0640L
ghc-data-default.src: W: strange-permission data-default-0.2.tar.gz 0640L
ghc-data-default.x86_64: W: no-documentation
ghc-data-default-prof.x86_64: E: devel-dependency ghc-data-default-devel
ghc-data-default-prof.x86_64: W: no-documentation
ghc-data-default-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/data-default-0.2/libHSdata-default-0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.
Comment 1 Narasimhan 2011-01-02 03:01:49 EST
A mail has been sent to upstream requesting the license text to be included in the source package.
Comment 2 Narasimhan 2011-01-29 00:49:20 EST
Awaiting email from author regarding inclusion of license text.
Comment 3 Narasimhan 2011-02-15 08:29:45 EST
An updated package is available at http://hackage.haskell.org/packages/archive/data-default/0.2.0.1/data-default-0.2.0.1.tar.gz.  This contains the LICENSE file.
Comment 5 Narasimhan 2011-08-09 00:41:28 EDT
Sorry for the delay.
Will complete the review by EOD thursday.
Comment 6 Narasimhan 2011-08-12 13:15:17 EDT
I am getting permission error when accessing http://benboeckel.net/packaging/ghc-data-default/ghc-data-default-0.2.0.1-1.fc16.src.rpm
Comment 7 Jens Petersen 2011-09-09 02:03:14 EDT
I suggest opening a new review for data-default.
Comment 8 Narasimhan 2011-09-09 02:43:57 EDT
I will create a new request. Will mark this one as duplicate.
Comment 9 Narasimhan 2011-09-10 01:39:40 EDT

*** This bug has been marked as a duplicate of bug 737228 ***

Note You need to log in before you can comment on or make changes to this bug.